import { EventEmitter, OnChanges, OnInit } from '@angular/core';
import { CookieService } from 'ngx-cookie';
import { MemberCommunity } from '../inspire-library.interface';
import { NavigationService } from '../navigation.service';
import { UserService } from '../user.service';
import { CallingComponent } from '../inspire-library.enum';
import * as i0 from "@angular/core";
export declare class UniversalNavigationMobileComponent implements OnInit, OnChanges {
    private navigationService;
    private userService;
    private cookieService;
    useAPI: boolean;
    loggedIn: boolean;
    username: string;
    envUrl: string;
    memberCommunities: MemberCommunity[];
    maxCommunityCount: number;
    calledFrom: CallingComponent;
    isPWAReady: boolean;
    groupId: number;
    groupNameId: string;
    clickCommunity: EventEmitter<MemberCommunity>;
    browseCommunities: EventEmitter<null>;
    installPWA: EventEmitter<null>;
    viewAllCommunity: EventEmitter<void>;
    goToOldSearch: EventEmitter<any>;
    navigate: EventEmitter<String>;
    showMenu: boolean;
    showDiscoverInspire: boolean;
    showAccount: boolean;
    showMemberCommunities: boolean;
    CallingComponent: typeof CallingComponent;
    visitingMemberCommunity: boolean;
    constructor(navigationService: NavigationService, userService: UserService, cookieService: CookieService);
    ngOnInit(): void;
    ngOnChanges(): void;
    isVisitingMemberCommunity(): void;
    setInitState(): void;
    onToggleMenu(value?: boolean): void;
    onToggle(prop: string, value?: boolean): void;
    onLogout(): void;
    toggleBodyScroll(isUnavExpanded: boolean): void;
    onClickCommunity(community: MemberCommunity): void;
    onBrowseCommunities(): void;
    onInstallPwa(): void;
    onViewAllCommunity(): void;
    onSearchClick(): void;
    static ɵfac: i0.ɵɵFactoryDef<UniversalNavigationMobileComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<UniversalNavigationMobileComponent, "ins-unav-mobile", never, { "useAPI": "useAPI"; "loggedIn": "loggedIn"; "username": "username"; "envUrl": "envUrl"; "memberCommunities": "memberCommunities"; "maxCommunityCount": "maxCommunityCount"; "calledFrom": "calledFrom"; "isPWAReady": "isPWAReady"; "groupId": "groupId"; "groupNameId": "groupNameId"; }, { "clickCommunity": "clickCommunity"; "browseCommunities": "browseCommunities"; "installPWA": "installPWA"; "viewAllCommunity": "viewAllCommunity"; "goToOldSearch": "goToOldSearch"; "navigate": "navigate"; }, never, never>;
}
